Subject: Re: IMPORTANT: DHCPv6 Work in this Working

From: [email-masked] (by way of Ralph Droms)
Date: Thu, 14 Jan 1999 18:38:47 -0500 (EST)

message sent to [email-masked] by [email-masked] follows.
----------------------------------------------------------------------
I'm not competent to comment technically. I do know that we need
DHCPv6, so I'd urge those who feel competent to either support
the drafts, or say what needs fixing.

    Brian

Jim Bound wrote:
>
> Dear DHCPv6 WG,
>
> Charlie Perkins and I have put a lot of work into DHCPv6 and so has
> Ralph Droms, and Thomas Narten.  Ralph and I have asked for input from
> you many times.  This last flurry of mail on the final discussions is
> important as we want to put this stage of DHCPv6 to bed and get to
> Proposed Standard.  Also up until about March 98 at least some of the WG
> was working on this and before Chicago Aug 98 we had good input at the
> IETF meetings or the spec would not have been ready for Last Call. But
> since July and when we received the last minute last call comments in
> October 98 WG input has been void.
>
> We are having the discussions now to resolve the WG Last Call input we
> received and will be updating the specifications soon.
>
> Current specs are:
>
>    draft-ietf-dhc-dhcpv6-13.txt (dhcpv6 protocol spec)
>    draft-ietf-dhc-v6exts-10.txt (dhcpv6 extensions for dhcpv6)
>
> I am very concerned about the lack of responses on this mail list and
> from this working group, because the mechanism for completion of
> discussion on the list by Ralph is that silence is not a valid response
> as consensus for the DHC WG.  This is the chairs perogative and though
> different than any other WG I work on, we support this method.
>
> But there is nothing else I can think of to do to stimulate this WG to
> work on this last part DHCPv6 to reach PS. I know at least 6 persons who
> came up to me at the IETF and said "I thought we were done and moving to
> Proposed Standard based on the drafts from July 1998".  But we are not and
> need your support.  The issues which are not major protocol issues with
> our design are being discussed and have been presented to the list.
>
> But I must assume either the list is burned out, not interested, too
> busy working on dhcpv4 or other things, or whatever.
>
> What we told Ralph and our Internet Area Directors (Thomas and Jeff) is
> we will have to be proactive to go outside of this list and get review of
> these updates in the new specs to get this work completed.  I am going to
> start that process today and enlist the support of the IETF to get this
> next spec reviewed.  To leave all this review to Ralph and Thomas is simply
> not fair and also not the IETF way.  I know you have done work on this spec
> and we appreciate it greatly to get us to where we are today. But we are
> now on the home stretch and DHCPv6 is important to the deployment of
> IPv6.  One example is that it is a valuable transition mechanism/tool
> for the interoperation of IPv4 and IPv6, and there are other deployment
> reasons for real customers that will need DHCPv6.
>
> Also as many of you know I have been around IPv6 since its inception and
> wear both an architect and implementors hat for this next generation
> protocol.  The folkway/more/attitude or whatever you want to call it for
> IPv6 implementation to begin is normally that a spec move to Proposed
> Standard.  We have some implementations underway (mine included) but to
> get this specification implemented we need to wrap up a DHCPv6 WG last
> call and then an IETF/IESG last call.
>
> So as I begin to ask for help in the IETF community please do not take
> this as a slam against the WG or anyone else, we cannot continue with
> the silence on this mailing list.
>
> If you would like to respond to Charlie and I privately that is OK, but I
> highly suggest and encourage you to respond to Ralph too.  When I told
> Ralph at Orlando about some of your comments he told me "they" need to
> state those comments to me.  One comment was even the DHCPv4 WG mail
> list could be more active and part of the problem is that the DHC WG is
> one of the oldest WGs in the IETF.  But Ralph needs to hear that
> directly.
>
> Sincerely,
> /jim